#!/usr/bin/ruby

url_params = Hash.new {|hash, key|
  hash[key] = {}
}

url_regex = Regexp.new(ARGV.shift)
url = nil
params = nil

ARGV.each { |file|
  IO.foreach(file) { |line|
    if line =~ /^(\d+-\d+-\d+ \d+:\d+:\d+) (\d+(?:\.\d+)+) (GET|POST) (.+)/
      url = $4
      if url_regex.match(url)
        url.sub!(/%3Bjsessionid%3D.*/, "")
        params = url_params[url]
      else
        params = nil
      end
    elsif line =~ /^\t([^=]*)=(.*)/
      params[$1] = 1 unless params.nil?
    end
  }
}

url_params.sort.each { |url_param|
  url = url_param[0]
  params = url_param[1]
  puts "url #{url} {"
  params.sort.each { |param|
    puts "    param #{param[0]};"
  }
  puts "}"
  puts
}
